<?xml version="1.0" encoding="utf-8" ?>
<!-- SQL XML created by WWW SQL Designer, https://github.com/ondras/wwwsqldesigner/ -->
<!-- Active URL: http://127.0.0.1:8080/ -->
<sql>
<datatypes db="mysql">
	<group label="Numeric" color="rgb(238,238,170)">
		<type label="Integer" length="0" sql="INTEGER" quote=""/>
	 	<type label="TINYINT" length="0" sql="TINYINT" quote=""/>
	 	<type label="SMALLINT" length="0" sql="SMALLINT" quote=""/>
	 	<type label="MEDIUMINT" length="0" sql="MEDIUMINT" quote=""/>
	 	<type label="INT" length="0" sql="INT" quote=""/>
		<type label="BIGINT" length="0" sql="BIGINT" quote=""/>
		<type label="Decimal" length="1" sql="DECIMAL" re="DEC" quote=""/>
		<type label="Single precision" length="0" sql="FLOAT" quote=""/>
		<type label="Double precisio1n" length="0" sql="DOUBLE" re="DOUBLE" quote=""/>
	</group>

	<group label="Character" color="rgb(255,200,200)">
		<type label="Char" length="1" sql="CHAR" quote="'"/>
		<type label="Varchar" length="1" sql="VARCHAR" quote="'"/>
		<type label="Text" length="0" sql="MEDIUMTEXT" re="TEXT" quote="'"/>
		<type label="Binary" length="1" sql="BINARY" quote="'"/>
		<type label="Varbinary" length="1" sql="VARBINARY" quote="'"/>
		<type label="BLOB" length="0" sql="BLOB" re="BLOB" quote="'"/>
	</group>

	<group label="Date &amp; Time" color="rgb(200,255,200)">
		<type label="Date" length="0" sql="DATE" quote="'"/>
		<type label="Time" length="0" sql="TIME" quote="'"/>
		<type label="Datetime" length="0" sql="DATETIME" quote="'"/>
		<type label="Year" length="0" sql="YEAR" quote=""/>
		<type label="Timestamp" length="0" sql="TIMESTAMP" quote="'"/>
	</group>
	
	<group label="Miscellaneous" color="rgb(200,200,255)">
		<type label="ENUM" length="1" sql="ENUM" quote=""/>
		<type label="SET" length="1" sql="SET" quote=""/>
		<type label="Bit" length="0" sql="bit" quote=""/>
	</group>
</datatypes><table x="1637" y="1693" name="DestinatarioOfferta">
<row name="destinazione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Sede" row="indirizzo_ptr" />
</row>
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="intestatario" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="ContattoAziendale" row="persona_ptr" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1390" y="1864" name="GruppoOfferte">
<row name="destinatario" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="DestinatarioOfferta" row="id" />
</row>
<row name="agente" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="AgenteOfferta" row="persona_ptr" />
</row>
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="tipo" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="TipologiaOfferta" row="id" />
</row>
<row name="anno_1a_rev" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="numero" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1683" y="2023" name="Offerta">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="gruppo" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="GruppoOfferte" row="id" />
</row>
<row name="data" null="1" autoincrement="0">
<datatype>DATE</datatype>
<default>NULL</default></row>
<row name="revisione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="documento" null="1" autoincrement="0">
<datatype>VARCHAR(128)</datatype>
<default>NULL</default></row>
<row name="codice_offerta" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="accettazione" null="1" autoincrement="0">
<datatype>DATE</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2011" y="1890" name="AgenteOfferta">
<row name="persona_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="codice" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>persona_ptr</part>
</key>
</table>
<table x="1863" y="2142" name="ParteEconomicaOfferta">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="revisione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Offerta" row="id" />
</row>
<row name="dettaglio_economico_offerto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="AtomoFatturabile" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>Serve solo per fatturazioni trasversali</comment>
</table>
<table x="2583" y="2045" name="ModalitaLavoro">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="unita_misura_std" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2304" y="2098" name="AtomoFatturabile">
<row name="offerta_riferimento" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Offerta" row="id" />
</row>
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="modalita_lavoro" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="ModalitaLavoro" row="id" />
</row>
<row name="riferimento_oggetto_fattura" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="flusso_di_ricavi" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="FlussoDiRicavi" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1269" y="3202" name="Progetto">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="progetto_padre" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Progetto" row="id" />
</row>
<row name="stato" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="nome" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>MEDIUMTEXT</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1571" y="2655" name="ValorizzazioneEconomicaProgetto">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="progetto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Progetto" row="id" />
</row>
<row name="dato_economico" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="AtomoFatturabile" row="id" />
</row>
<row name="fase_target" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1929" y="1703" name="ContattoAziendale">
<row name="azienda" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="persona_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>persona_ptr</part>
</key>
</table>
<table x="1153" y="1868" name="TipologiaOfferta">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(1024)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3033" y="2994" name="Repository">
<row name="risorsachiave_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="url" null="1" autoincrement="0">
<datatype>VARCHAR(1024)</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>risorsachiave_ptr</part>
</key>
</table>
<table x="3393" y="2873" name="TipoRelazione">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2819" y="3367" name="Attivita">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="attivita_generica" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Attivita" row="id" />
</row>
<row name="tipo" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="TipoAttivita" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3658" y="3226" name="RisorsaChiave">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaPersonale" row="risorsachiave_ptr" />
</row>
<row name="risorsa_generica" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3681" y="3526" name="PropostaDiValore">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="proposta_valore_generica" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PropostaDiValore" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3925" y="3113" name="CanaleDiDistribuzione">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3454" y="2640" name="SettoreDiMercato">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3758" y="2424" name="FlussoDiRicavi">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="flusso_ricavi_generico" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="FlussoDiRicavi" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="4246" y="2385" name="StrutturaDeiCosti">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3851" y="2573" name="SettoreAzienda">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="settore_generico" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SettoreAzienda" row="id" />
</row>
<row name="azienda" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="settore_di_mercato" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SettoreDiMercato" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="5052" y="2991" name="BMCModelloDiBusiness">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="4376" y="2864" name="BMCPartnerChiave">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="partnership_azienda" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RelazioneConAzienda" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3591" y="2752" name="RelazioneConAzienda">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="relazione_generica" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RelazioneConAzienda" row="id" />
</row>
<row name="azienda" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="tipo_relazione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="TipoRelazione" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="4360" y="2741" name="BMCSegmentiDiClientela">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="settore_cliente" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SettoreAzienda" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="4453" y="2982" name="BMCRelazioneConCliente">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="relazione_cliente" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RelazioneConAzienda" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2586" y="3432" name="TipoAttivita">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>produttive, di problem solving, di manutenzione o sviluppo</comment>
</table>
<table x="4537" y="3374" name="BMCAttivitaChiave">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="attivita_chiave" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Attivita" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2769" y="3546" name="ValoreDelProgetto">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="progetto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Progetto" row="id" />
</row>
<row name="proposta_di_valore" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PropostaDiValore" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>Ricchezza che viene al cliente dal progetto</comment>
</table>
<table x="4546" y="3508" name="BMCPropostaDiValore">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="proposta_di_valore" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PropostaDiValore" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2185" y="3254" name="AttivitaDelProgetto">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="progetto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Progetto" row="id" />
</row>
<row name="attivita" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Attivita" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>Il M2M serve solo per attività trasversali, sennò qui trovi solo link 1:1</comment>
</table>
<table x="2554" y="3116" name="AssetDelProgetto">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="progetto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Progetto" row="id" />
</row>
<row name="asset" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>Ricchezza che viene a noi dal progetto</comment>
</table>
<table x="2963" y="2683" name="RisorsaPersonale">
<row name="persona" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="risorsachiave_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<key type="PRIMARY" name="">
<part>risorsachiave_ptr</part>
</key>
</table>
<table x="2976" y="2892" name="RisorsaFisica">
<row name="risorsachiave_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>risorsachiave_ptr</part>
</key>
</table>
<table x="2966" y="2786" name="RisorsaFinanziaria">
<row name="risorsachiave_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>risorsachiave_ptr</part>
</key>
</table>
<table x="4534" y="3230" name="BMCRisorsaChiave">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="risorsa_chiave" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3229" y="3447" name="ValoreDellAttivita">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="attivita" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Attivita" row="id" />
</row>
<row name="proposta_di_valore" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PropostaDiValore" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
<comment>Ricchezza che viene al cliente dall'attività</comment>
</table>
<table x="1624" y="2849" name="ValorizzazioneEconomicaAttivita">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="attivita_del_progetto" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="AttivitaDelProgetto" row="id" />
</row>
<row name="dato_economico" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="AtomoFatturabile" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3220" y="3282" name="AssetDaAttivita">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="attivita" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Attivita" row="id" />
</row>
<row name="asset" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2870" y="3088" name="ArchivioFiles">
<row name="risorsachiave_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RisorsaChiave" row="id" />
</row>
<row name="url" null="1" autoincrement="0">
<datatype>VARCHAR(1024)</datatype>
<default>NULL</default></row>
<row name="descrizione" null="1" autoincrement="0">
<datatype>VARCHAR(4096)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>risorsachiave_ptr</part>
</key>
<comment>Seafile</comment>
</table>
<table x="4389" y="2619" name="BMCFlussoDiRicavi">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="flusso_di_ricavi" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="FlussoDiRicavi" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="4483" y="3109" name="BMCCanaleDiDistribuzione">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="canale" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="CanaleDiDistribuzione" row="id" />
</row>
<row name="modello_di_business" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="BMCModelloDiBusiness" row="id" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="3890" y="2999" name="CanaleDistribuzioneIndiretto">
<row name="partnership_distribuzione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="RelazioneConAzienda" row="id" />
</row>
<row name="canaledidistribuzione_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="CanaleDiDistribuzione" row="id" />
</row>
<key type="PRIMARY" name="">
<part>canaledidistribuzione_ptr</part>
</key>
</table>
<table x="1981" y="845" name="SoggettoFiscale">
<row name="indirizzo_pec" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="regime_fiscale" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="codice_fiscale" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="partita_iva" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="codice_sdi" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="sede_legale" null="0" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="stabile_organizzazione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="cod_eori" null="1" autoincrement="0">
<datatype>VARCHAR(17)</datatype>
<default>NULL</default></row>
<row name="nazione" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="numero_licenza_guida" null="1" autoincrement="0">
<datatype>VARCHAR(20)</datatype>
<default>NULL</default></row>
<row name="iscrizione_rea" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="revisione_principale" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="rimosso" null="1" autoincrement="0">
<datatype>bit</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="1748" y="1400" name="IscrizioneAlboProfessionale">
<row name="id" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="albo_professionale" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default></row>
<row name="numero_iscrizione_albo" null="1" autoincrement="0">
<datatype>VARCHAR(60)</datatype>
<default>NULL</default></row>
<row name="data_iscrizione_albo" null="1" autoincrement="0">
<datatype>DATE</datatype>
<default>NULL</default></row>
<row name="persona_fisica" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="PersonaFisica" row="soggetto_fiscale_ptr" />
</row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
<table x="2492" y="1705" name="PersonaFisica">
<row name="soggetto_fiscale_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="titolo" null="1" autoincrement="0">
<datatype>VARCHAR(10)</datatype>
<default>NULL</default></row>
<row name="nome" null="1" autoincrement="0">
<datatype>VARCHAR(60)</datatype>
<default>NULL</default></row>
<row name="cognome" null="1" autoincrement="0">
<datatype>VARCHAR(60)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>soggetto_fiscale_ptr</part>
</key>
</table>
<table x="1952" y="1243" name="PersonaGiuridica">
<row name="soggetto_fiscale_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="denominazione" null="1" autoincrement="0">
<datatype>VARCHAR(80)</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>soggetto_fiscale_ptr</part>
</key>
</table>
<table x="1186" y="1663" name="Sede">
<row name="inquilino" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="SoggettoFiscale" row="id" />
</row>
<row name="indirizzo_ptr" null="1" autoincrement="1">
<datatype>INTEGER</datatype>
<default>NULL</default><relation table="Indirizzo" row="id" />
</row>
<row name="is_legale" null="1" autoincrement="0">
<datatype>bit</datatype>
<default>NULL</default></row>
<key type="PRIMARY" name="">
<part>indirizzo_ptr</part>
</key>
</table>
<table x="123" y="1001" name="Indirizzo">
<row name="id" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>None</default></row>
<row name="duf" null="1" autoincrement="0">
<datatype>VARCHAR(256)</datatype>
<default>'None'</default></row>
<row name="civico" null="1" autoincrement="0">
<datatype>VARCHAR(256)</datatype>
<default>'None'</default></row>
<row name="altro" null="1" autoincrement="0">
<datatype>VARCHAR(2048)</datatype>
<default>'None'</default></row>
<row name="cap_id" null="1" autoincrement="0">
<datatype>VARCHAR(5)</datatype>
<default>'None'</default></row>
<row name="comune_id" null="1" autoincrement="0">
<datatype>INTEGER</datatype>
<default>None</default></row>
<row name="dug_id" null="1" autoincrement="0">
<datatype>VARCHAR(40)</datatype>
<default>'None'</default></row>
<key type="PRIMARY" name="">
<part>id</part>
</key>
</table>
</sql>
